curl --request GET \
--url https://api.mervii.com/beta/utils/weight \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mervii.com/beta/utils/weight"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mervii.com/beta/utils/weight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mervii.com/beta/utils/weight",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mervii.com/beta/utils/weight"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mervii.com/beta/utils/weight")
.header("Authorization", "Bearer <token>")
.asString();{
"data": [
{
"description": "500 gram",
"weight": "0-500 - gram",
"weight_code": "0.50"
},
{
"description": "1 Kilogram",
"weight": "0.6KG - 1KG",
"weight_code": "1.00"
},
{
"description": "1.5 Kilo gram",
"weight": "1.1 - 1.5KG",
"weight_code": "1.50"
}
],
"message": "Weight list successfully fetched !",
"status": true
}weight
This endpoint makes an HTTP GET request to retrieve weight-related utility information from the specified API.
Request
The request does not require any specific input parameters.
Response
-
Status 404 indicates that the requested resource was not found.
-
The response is in JSON format with the following structure:
-
status: A boolean value indicating the success of the request. -
message: A message providing additional information about the request. -
data: An array containing weight-related information, including:-
weight: The weight value. -
weight_code: The code associated with the weight. -
description: A description of the weight.
-
-
Example Response
{
"status": true,
"message": "",
"data": [
{
"weight": "",
"weight_code": "",
"description": ""
}
]
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
success
Show child attributes
Show child attributes
[
{
"description": "500 gram",
"weight": "0-500 - gram",
"weight_code": "0.50"
},
{
"description": "1 Kilogram",
"weight": "0.6KG - 1KG",
"weight_code": "1.00"
},
{
"description": "1.5 Kilo gram",
"weight": "1.1 - 1.5KG",
"weight_code": "1.50"
}
]
"Weight list successfully fetched !"
true
Was this page helpful?
